{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_guestbook' %}">Buku Tamu</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if guestbook %}
        <div class="py-3 mb-3">
            <div class="card">
                <div class="card-body">
                    <div class="d-flex  justify-content-end container-fluid mb-2">
                        {% if guestbook.status %}
                            <button class="btn btn-success mr-2" disabled>Ditampilkan</button>
                            <button href="#" class="btn btn-danger" 
                                onclick="gb_sembunyikan('{{ guestbook.nama }}', '{{ guestbook.slug }}')"
                                data-toggle="tooltip" data-placement="top" title="Sembunyikan di Web">
                                <i class="bi bi-x-circle"></i> Sembunyikan
                            </button>
                        {% else %}
                            <button class="btn btn-danger mr-2" disabled>Tidak Ditampilkan</button>
                            <button class="btn btn-success" 
                                onclick="gb_tampilkan('{{ guestbook.nama }}', '{{ guestbook.slug }}')"
                                data-toggle="tooltip" data-placement="top" title="Tampilkan di Web">
                                <i class="bi bi-check-circle"></i> Tampilkan
                            </button>
                        {% endif %}
                    </div>
                    <div class="form-group">
                        <label>Nama</label>
                        <input type="text" class="form-control" value="{{ guestbook.name }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" class="form-control" value="{{ guestbook.email }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Telepon</label>
                        <input type="text" class="form-control" value="{{ guestbook.phone }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Telepon</label>
                        <input type="text" class="form-control" value="{{ guestbook.created_at }}" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-keterangan">Pesan</label>
                        <textarea class="form-control" rows="3" disabled>{{ guestbook.message }}</textarea>
                    </div>
                </div>
            </div>
        </div>
    {% else %}
        <h1>BUKU TAMU TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/admin/admin-aksi-guestbook.js' %}"></script>
{% endblock scripts_bawah %}